﻿using Microsoft.Xna.Framework;

namespace Tequila.AugmentedReality.CameraStates
{
    internal class LandscapeLeftCameraBaseState : CameraBaseState
    {
        public LandscapeLeftCameraBaseState(int layoutWidth, int layoutHeight, int radius) : 
            base(layoutWidth, layoutHeight, radius)
        {
        }

        protected override void SetCameraView()
        {
            View = Matrix.CreateLookAt(Vector3.UnitZ, Vector3.Zero, Vector3.UnitX);
        }

        protected override Vector3 ProjectPlacePosition(Matrix rotation, Vector3 placeVector)
        {
            var attitude = ConvertRotationToXNACoordinates(rotation);
            
            //convert world coordinate system point to XNA coordinates
            var world = Matrix.CreateWorld(placeVector, Vector3.UnitZ, Vector3.UnitX);
            
            //need to project it from 3D space in wcs to 2D space on the screen coordinates
            //need to rotate back for phone
            var resultVector = ProjectVectorToScreenCoordinates(attitude, world);

            //Debug.WriteLine("ProjectPlacePosition: rotation = "+rotation+" ,placeVector = "+placeVector+"   ===   "+resultVector);

            return resultVector;
        }
    }
}
