using System;
using System.Globalization;

namespace Microsoft.Phone.Controls.Primitives
{
    /// <summary>
    /// Extended <see cref="DateTimeWrapper"/>
    /// </summary>
    public class ExtendedDateTimeWrapper : DateTimeWrapper
    {
        /// <summary>
        /// Initializes new instance of a class.
        /// </summary>
        /// <param name="dateTime"></param>
        public ExtendedDateTimeWrapper(DateTime dateTime)
            : base(dateTime)
        {
        }

        /// <summary>
        /// Gets Long Date culture-based string.
        /// </summary>
        public string LongDate
        {
            get { return DateTime.ToString("D", CultureInfo.CurrentCulture); }
        }
    }
}