﻿namespace Tequila.Phone.Sharing
{
    /// <summary>
    /// Domain class.
    /// </summary>
    public class Article
    {
        /// <summary>
        /// Gets or sets Article title.
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets Article description.
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// Gets or sets Article message.
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// Gets or sets Article link.
        /// </summary>
        public string Link { get; set; }

        /// <summary>
        /// Gets or sets Article original link.
        /// </summary>
        public string OriginalLink { get; set; }

        /// <summary>
        /// Gets or sets Article thumbnail link.
        /// </summary>
        public string ThumbnailLink { get; set; }

        /// <summary>
        /// Gets or sets Article thumbnail original link.
        /// </summary>
        public string ThumbnailOriginalLink { get; set; }

        /// <summary>
        /// Determines whether thumbnail link is provided.
        /// </summary>
        public bool IsWithThumbnail
        {
            get { return !string.IsNullOrEmpty(ThumbnailLink); }
        }
    }
}
