namespace Tequila.Phone.Sharing
{
    /// <summary>
    /// Factory for <see cref="IShareService">IShareService</see> services.
    /// </summary>
    public interface IShareServiceFactory
    {
        /// <summary>
        /// When implemented, returns <see cref="IShareService">IShareService</see> implementation by Social Network <see cref="SocialNetworkType">type</see>.
        /// </summary>
        /// <param name="type">Social Network <see cref="SocialNetworkType">Type</see>.</param>
        /// <returns><see cref="IShareService">IShareService</see> implementation.</returns>
        IShareService GetShareService(SocialNetworkType type);
    }
}