namespace Tequila.Phone.Sharing.Twitpic
{
    /// <summary>
    /// Twitpic service authorization session class.
    /// </summary>
    public sealed class TwitpicAuthorizationSession
    {
        /// <summary/>
        public string ConsumerKey { get; set; }

        /// <summary/>
        public string ConsumerSecret { get; set; }

        /// <summary/>
        public string AccessTokenKey { get; set; }

        /// <summary/>
        public string AccessTokenSecret { get; set; }

        /// <summary/>
        public string ApiKey { get; set; }

        /// <summary>
        /// Determines whether session is in valid state or not.
        /// </summary>
        public bool IsValid
        {
            get 
            {
                return !string.IsNullOrEmpty(ConsumerKey)
                && !string.IsNullOrEmpty(ConsumerSecret)
                && !string.IsNullOrEmpty(AccessTokenKey)
                && !string.IsNullOrEmpty(AccessTokenSecret)
                && !string.IsNullOrEmpty(ApiKey);
            }
        }

        /// <summary>
        /// Closes session by means of cleaning session internal state.
        /// </summary>
        public void Close()
        {
            ConsumerKey = null;
            ConsumerSecret = null;
            AccessTokenKey = null;
            AccessTokenSecret = null;
            ApiKey = null;
        }
    }
}