﻿namespace System.Net
{
    /// <summary>
    /// The exception that is thrown when there is no network available.
    /// </summary>
    public class NetworkNotAvailableException : NetworkClientException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Net.NetworkNotAvailableException" /> class.
        /// </summary>
        public NetworkNotAvailableException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Net.NetworkNotAvailableException" /> class with a specified message that describes the error.
        /// </summary>
        /// <param name="message">The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.</param>
        public NetworkNotAvailableException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Net.NetworkNotAvailableException" /> class with a specified message that describes the error and a reference to the inner exception that is the cause of this exception.
        /// </summary>
        /// <param name="message">The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.</param>
        /// <param name="innerException">The exception that is the cause of the current exception. If the <paramref name="innerException" /> parameter is not null, the current exception is raised in a catch block that handles the inner exception. </param>
        public NetworkNotAvailableException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}